Subject: Re: modifying commit's author

From: "J. Bruce Fields" <[email-masked]>
Date: Mon, 22 Jan 2007 16:02:01 -0500

On Mon, Jan 22, 2007 at 12:48:27PM -0800, Junio C Hamano wrote:
> "J. Bruce Fields" <[email-masked]> writes:
> 
> > If I got the author wrong on a commit, is there a quick way to fix it
> > (e.g. by passing the right arguments or environment variables to commit
> > --amend)?
> 
> I usually do "format-patch -$n; reset --hard HEAD~$n; edit
> 00??-*.patch; am 00??-*.patch" myself when I got into that
> situation to rebuild the branch, and haven't personally felt
> need for an option to --amend, but it might make sense to teach
> git-commit --amend to allow --author option to override it; I
> think it currently ignores --author when given without erroring
> out.

That might be nice, but actually the git-am trick is more convenient
than I'd realized; thanks for the tip.

--b.